WAF Dashboard
GET/partner/logs/attack_event_analysis/:user_domain_idx
Retrieve integrated WAF dashboard data (top attack IPs, countries, purposes, URIs, and recent attack logs) for the specified domain within a given date range. Date range is available from the 1st of 3 months ago.
Request
Responses
- 200
- 400
- 401
- 404
- 500
200Success
Response 200
{
"message": {
"key": "RES000000",
"value": "success"
},
"data": {
"search_term": {
"from": "20260101",
"to": "20260131"
},
"top_attack_ips": [
{
"ip": "198.51.100.0",
"count": 1105,
"action": "",
"country_code": "US"
}
],
"top_traffic_countries": [
{
"country_code": "US",
"country": "United States",
"traffic": 1550000,
"action": ""
}
],
"top_attack_purpose": [
{
"purpose": "Personal Data Breach",
"count": 1234,
"purpose_content": "It refers to the ......."
}
],
"top_attack_uris": [
{
"uri": "/home",
"count": 1234
}
],
"request_types": [
{
"date": "2026-01-01",
"total": 1234,
"bad_bot": 1234,
"good_bot": 1234
}
],
"top_attack_bots": [
{
"bot_name": "bot_name_123",
"request_count": 1234
}
],
"timezone": "UTC"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object | |
data | object |
400Bad Request
Response 400
{
"message": {
"key": "RES000002",
"value": "Bad Request"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
401Unauthorized
Response 401
{
"message": {
"key": "RES000033",
"value": "Unauthorized"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
404Data not found
Response 404
{
"message": {
"key": "RES000018",
"value": "Data not found"
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |
500Internal server error
Response 500
{
"message": {
"key": "RES000029",
"value": "An internal server error has occurred."
}
}
Schema Details
| Field | Type | Description |
|---|---|---|
message | object |